Skip to content

List Folders

GET
/folders
curl --request GET \
--url 'https://markdawn.space/api/v1/folders?limit=50' \
--header 'Authorization: Bearer <token>'

Returns a cursor-paginated list of accessible, non-deleted folders. Follow nextCursor until it is null.

cursor
string

Cursor returned by a previous list response.

limit
integer
default: 50 >= 1 <= 100

Number of folders to return. Defaults to 50 and cannot exceed 100.

A page of accessible folders and the cursor for the next page.

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
parentId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
name
required
string
icon
required
Any of:
string
ownerId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
permission
required
Any of:
string
Allowed values: view edit admin
createdAt
required
Any of:
string
updatedAt
required
Any of:
string
nextCursor
required
Any of:
string
Example
{
"data": [
{
"permission": "view"
}
]
}

The API token is missing a required scope: pages:read.

Media typeapplication/json

Structured error returned when the request cannot be completed.

object
error
required

Error details for programmatic handling.

object
code
required

Stable error code.

string
message
required

Human-readable explanation.

string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}